# -*- coding: utf-8 -*-

FROM httpd:2.4.57-alpine3.17
LABEL authors="Nicolas Béjean <nicolas@bejean.fr>"
LABEL company="Béjean Développement"
LABEL website="www.bejean.eu"
LABEL version="1.0"

# Créé l'utilisateur app
RUN addgroup -g 1000 app \
&& adduser -D -H -h /var/www -s /sbin/nologin -G app -u 1000 app

# Change port 80 to 8000
RUN sed -i 's/Listen 80/Listen 8000/g' /usr/local/apache2/conf/httpd.conf

# Change user adn group www-data to app
RUN sed -i 's/User www-data/User app/g' /usr/local/apache2/conf/httpd.conf
RUN sed -i 's/Group www-data/Group app/g' /usr/local/apache2/conf/httpd.conf

# Update server name
RUN sed -i 's/^#ServerName.*/ServerName localhost:8000/' /usr/local/apache2/conf/httpd.conf

# Active le module proxy
RUN sed -i 's/^#\(LoadModule proxy_module modules\/mod_proxy.so\)/\1/' /usr/local/apache2/conf/httpd.conf
RUN sed -i 's/^#\(LoadModule proxy_fcgi_module modules\/mod_proxy_fcgi.so\)/\1/' /usr/local/apache2/conf/httpd.conf

RUN sed -i 's/#Include\ conf\/extra\/httpd-vhosts.conf/Include\ conf\/extra\/httpd-vhosts.conf/' /usr/local/apache2/conf/httpd.conf

COPY conf/httpd-vhosts.conf /usr/local/apache2/conf/extra/httpd-vhosts.conf

# Créé les répertoies et assigne les droits
RUN mkdir -p /var/www/html \
&& chown -R app:app /var/www/html /usr/local/apache2/logs

# Modifie le user de l'image
USER app:app

# Change le répertoire de travail
WORKDIR /usr/local/apache2/htdocs

# Expose le port 8000
EXPOSE 8000

CMD /usr/local/apache2/bin/httpd -D FOREGROUND
